//- Should not be needed, since it is included globally...
include /components/mixins.pug
+section("555 Timer")
  p
    | Originally designed in 1971, the 555 timer ic remains one of the most
    | popular and common ic's to this day.
    | This is because of the ic's simplicity, reliability and
    | versatile nature.
    br
    | Rough estimates put sales over <i>1 billion</i> units every year!
  +subsection("Bistable mode")
    p
      | In this mode, both states are stable and the 555 ic works exactly like an
      | SR flip-flop.
  +subsection("Monostable mode")
    p
      | In this mode, one of the states is stable.
      br
      | Once triggered, the IC will remain in a set state for a pre-determined
      | time and then reset. Much like a kitchen timer.
    +formula("Output pulse-width formula", "T = 1.1 * R * C")
    +diagram(media_folder + "diagrams/555_monostable.jpg", "555 monostable diagram", "555 monostable diagram")
  +subsection("Astable mode")
    p
      | In this mode, neither state is stable and the timer IC will oscillate
      | between both states, with a pre-defined period and duty-cycle.
    +formula("Astable oscillation frequency", "f = \\frac{1.44}{R_{1} + \\left(2 * R_{2}\\right) * C_{1}}")
    +formula("Time high", "T_{h} = 0.693 * \\left(R_{1} + R_{2}\\right) * C_{1}")
    +formula("Time low", "T_{l} = 0.693 * R_{2} * C_{1}")
    +formula("Period", "T = 0.693 * \\left(R_{1} + 2 * R_{2}\\right) * C_{1}")
    +formula("Duty Cycle", "DC = \\frac{T_{h}}{T} * 100%")
    +diagram(media_folder + "diagrams/555_astable.jpg", "555 astable diagram", "555 astable diagram")
  +subsection("Prescalers & multiphasic clocks")
    p
      | Using a prescaler you can create alternate frequencies from the source 
      | frequency (whole divisions). We can also create multiple different 
      | phases. This is useful when you need to control something where several
      | actions have to take place one after the other, in a fixed sequence.
  